### Hierarchy

- ObjUtil

## Index

### Methods

- addAllProps
- cloneOwnProps
- copyNonNullFieldsOnly
- formatRecAttr
- newInstance

## Methods

### Static addAllProps

- addAllProps(sourceObj: any, targetObj: any): any

- - Defined in util/ObjUtil.ts:6

  #### Parameters

  - ##### sourceObj: any

  - ##### targetObj: any

  #### Returns any

### Static cloneOwnProps

- cloneOwnProps(sourceObj: any): any

- - Defined in util/ObjUtil.ts:21

  #### Parameters

  - ##### sourceObj: any

  #### Returns any

### Static copyNonNullFieldsOnly

- copyNonNullFieldsOnly(obj: any, newObj: any, filterFn?: function): any

- - Defined in util/ObjUtil.ts:34

  #### Parameters

  - ##### obj: any

  - ##### newObj: any

  - ##### Optional filterFn: function

    - - (prop: any): boolean

      - #### Parameters

        - ##### prop: any

        #### Returns boolean

  #### Returns any

### Static formatRecAttr

- formatRecAttr(o: any, prettyPrint?: true): string

- - Defined in util/ObjUtil.ts:49

  #### Parameters

  - ##### o: any

  - ##### Optional prettyPrint: true

  #### Returns string

### Static newInstance

- newInstance(type: any): any

- - Defined in util/ObjUtil.ts:58

  #### Parameters

  - ##### type: any

  #### Returns any

Generated using TypeDoc